# mongoc_gridfs_file_t

## Synopsis

    typedef struct _mongoc_gridfs_file_t mongoc_gridfs_file_t;

## Description

This structure provides a MongoDB GridFS file abstraction. It provides several APIs.

- readv, writev, seek, and tell.

- General file metadata such as filename and length.

- GridFS metadata such as md5, filename, content_type, aliases, metadata, chunk_size, and upload_date.

## Thread Safety

This structure is NOT thread-safe and should only be used from one thread at a time.

## Related

- mongoc_client_t

- mongoc_gridfs_t

- mongoc_gridfs_file_list_t

- mongoc_gridfs_file_opt_t